module My_gen(G:Odoc_html.Html_generator) =
struct
  class html =
  object(self)
    inherit G.html

    (** Return HTML code for the given text of a bar tag. *)
    method private html_of_img t = 
      match t with 
      | [] -> ""
      | (x::r) ->
          begin
          match x with
          | Odoc_info.Raw s -> Format.sprintf "<img alt=\"%s\" src=\"img/%s\"/>" s s
          | _ -> ""
          end
          
    initializer
      tag_functions <- ("img", self#html_of_img) :: tag_functions
  end
end

let _ = 
  Odoc_args.extend_html_generator (module My_gen: Odoc_gen.Html_functor);
  (* we need to deactivate the -html option of ocamldoc, otherwise our generator
   * is overwritten by the standard html generator. Ocamlbuild gives the -html
   * option to ocamldoc, so this is really required *)
  Odoc_args.add_option ("-html", Arg.Unit (fun () -> ()), "")

